%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define mutter_ver	%(echo %{version}|cut -d. -f1,2,3)
# To make GNOME Shell extensions load, we need to get rid of DT_RUNPATH on /usr/bin/gnome-shell
# (see glibc bug #13945, GNOME bug #670477, Mageia bug #4523)
%define _disable_ld_enable_new_dtags 1

Summary:	Core user interface for the GNOME 3 desktop
Name:		gnome-shell
Version:	3.6.3.1
Release:	%mkrel 3
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	gnome-shell-session
Patch1:     gnome-shell-3.6.3.1-fix-gdm-background.patch
Patch2:     gnome-shell-3.6.3.1-fix-evolution-calendar.patch
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
Url:		http://live.gnome.org/GnomeShell
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-glx-1.0) >= 1.7.5
BuildRequires:	pkgconfig(clutter-x11-1.0) >= 1.7.5
BuildRequires:	pkgconfig(folks) >= 0.5.2
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gdk-x11-3.0)
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.31.6
BuildRequires:	pkgconfig(gjs-internals-1.0) >= 1.29.18
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(gnome-bluetooth-1.0) >= 3.1.0
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 2.90.0
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.10.1
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 0.1.7
BuildRequires:	pkgconfig(gstreamer-1.0) >= 0.11.92
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.9
BuildRequires:	pkgconfig(gtk-doc)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libcroco-0.6) >= 0.6.2
BuildRequires:	pkgconfig(libecal-1.2) >= 2.32.0
BuildRequires:	pkgconfig(libedataserver-1.2) >= 1.2.0
BuildRequires:	pkgconfig(libedataserverui-3.0) >= 2.91.6
BuildRequires:	pkgconfig(libgnome-menu-3.0)
BuildRequires:	pkgconfig(libmutter) >= %{mutter_ver}
BuildRequires:	pkgconfig(libnm-glib)
BuildRequires:	pkgconfig(libnm-util)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libpulse-mainloop-glib)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libstartup-notification-1.0) >= 0.11
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(polkit-agent-1) >= 0.100
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(libsystemd-daemon)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.17.5
BuildRequires:	pkgconfig(telepathy-logger-0.2) >= 0.2.4
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	intltool >= 0.40.0
BuildRequires:	gnome-common
BuildRequires:	gettext-devel
Requires:	mutter
Requires:	gjs
Requires:	glxinfo
Requires:	gnome-session
Requires:	gnome-icon-theme-symbolic
# For a GSettings schema
Requires:	gnome-settings-daemon
Requires:	gsettings-desktop-schemas >= 3.5.4
Requires:	packagekit-gtk3-module
Requires:	telepathy-mission-control
Requires:	gnome-control-center

#Requires for login
Requires:       %{_lib}mutter-gir3.0

Obsoletes:	gnome-applet-netspeed < 3.0.2

%description
GNOME Shell provides core user interface functions for the GNOME 3
desktop, like switching to windows and launching applications. GNOME
Shell takes advantage of the capabilities of modern graphics hardware
and introduces innovative user interface concepts to provide a
visually attractive and easy to use experience.

%package docs
Summary:	Documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description docs
This package contains the documentation for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--enable-compile-warnings=no \
	--disable-static --disable-schemas-compile \
	--with-systemd
%make V=1

%install
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %name

mkdir -p %{buildroot}/%{_datadir}/gnome-shell/xdg-override/autostart
cp -f %{buildroot}/%{_datadir}/applications/gnome-shell.desktop %{buildroot}/%{_datadir}/gnome-shell/xdg-override/autostart

find %{buildroot} -name '*.la' | xargs rm

install -m 755 %{SOURCE1} %{buildroot}/%{_datadir}/gnome-shell/

%files -f %name.lang
%doc README
%{_bindir}/*
%{_libdir}/%{name}
%{_libexecdir}/gnome-shell-calendar-server
%{_libexecdir}/gnome-shell-perf-helper
%{_libexecdir}/gnome-shell-hotplug-sniffer
%{_libdir}/mozilla/plugins/*.so
%{_datadir}/dbus-1/services/org.gnome.Shell.CalendarServer.service
%{_datadir}/dbus-1/services/org.gnome.Shell.HotplugSniffer.service
%{_datadir}/dbus-1/interfaces/org.gnome.ShellSearchProvider.xml
%{_datadir}/glib-2.0/schemas/org.gnome.shell.gschema.xml
%{_datadir}/GConf/gsettings/gnome-shell-overrides.convert
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/evolution-calendar.desktop
%{_datadir}/applications/gnome-shell-extension-prefs.desktop
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*

%files docs
%{_datadir}/gtk-doc/html/shell
%{_datadir}/gtk-doc/html/st


%changelog

* Tue Apr 09 2013 mitya <mitya> 3.6.3.1-3.mga3
+ Revision: 409335
- Fix #7819

* Fri Mar 08 2013 neoclust <neoclust> 3.6.3.1-2.mga3
+ Revision: 401812
- Fix gdm background ( tks to leuhmanu for the css help)

* Wed Feb 20 2013 ovitters <ovitters> 3.6.3.1-1.mga3
+ Revision: 399567
- new version 3.6.3.1

* Wed Feb 13 2013 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 398227
- new version 3.6.3

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 352199
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317366
- new version 3.6.2

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306997
- drop upstreamed patch
- new version 3.6.1

* Wed Oct 10 2012 ennael <ennael> 3.6.0-3.mga3
+ Revision: 304423
- fix group

  + dmorgan <dmorgan>
    - Make gnome-shell to require libmutter-gir3.0 ( mga #7710 )

* Wed Oct 03 2012 blino <blino> 3.6.0-2.mga3
+ Revision: 302629
- ShellUserVerifier: fix typo in function name, caught on auth error (bgo#685434)

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297508
- new version 3.6.0

* Wed Sep 19 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 296210
- new version 3.5.92

* Thu Sep 13 2012 ovitters <ovitters> 3.5.91-5.mga3
+ Revision: 293719
- update gstreamer br to reenable recording functionality

* Wed Sep 12 2012 ovitters <ovitters> 3.5.91-4.mga3
+ Revision: 292786
- remove requires gir-repository

* Mon Sep 10 2012 ovitters <ovitters> 3.5.91-3.mga3
+ Revision: 292086
- drop cancel patch -- fixed in different way in 3.5.91

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-2.mga3
+ Revision: 287948
- update description and summary

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 287938
- new version 3.5.91

* Wed Aug 22 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 283037
- new version 3.5.90

* Fri Aug 10 2012 ovitters <ovitters> 3.5.5-2.mga3
+ Revision: 280377
- add patch to fix pressing escape in login screen

* Tue Aug 07 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279839
- new version 3.5.5

* Fri Aug 03 2012 ovitters <ovitters> 3.5.4-4.mga3
+ Revision: 278124
- require gnome-control-center

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-3.mga3
+ Revision: 271971
- drop conflicts on gdm
- requires gsettings-desktop-schemas 3.5.4+

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-2.mga3
+ Revision: 271931
- conflicts with old gdm

* Tue Jul 17 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271915
- update file list
- new version 3.5.4

* Sun Jul 01 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 266478
- fix mutter buildrequires
- new version 3.5.3

* Mon Jun 11 2012 ovitters <ovitters> 3.4.1-2.mga3
+ Revision: 259774
- enable systemd support

* Thu Apr 19 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231551
- fix buildrequires
- new version 3.4.1

* Thu Apr 05 2012 mitya <mitya> 3.4.0-4.mga2
+ Revision: 228561
+ rebuild (emptylog)

* Thu Apr 05 2012 mitya <mitya> 3.4.0-3.mga2
+ Revision: 228553
- Switch to upstream method of fixing extension loading, see GNOME bug #670477 discussion

* Wed Apr 04 2012 mitya <mitya> 3.4.0-2.mga2
+ Revision: 228518
- Fix broken shell extension loading (see #4523)

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226833
- new version 3.4.0

* Sat Mar 24 2012 fwang <fwang> 3.3.92-2.mga2
+ Revision: 226000
- do not apply gi flags patch to test rpath settings

* Wed Mar 21 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225349
- update buildrequires
- new version 3.3.92
- drop merged patches

* Mon Mar 12 2012 ovitters <ovitters> 3.3.90-6.mga2
+ Revision: 223060
- remove suggests on gnome-screenshot

* Mon Mar 12 2012 ovitters <ovitters> 3.3.90-5.mga2
+ Revision: 223039
- suggest gnome-screenshot (mga#4903)

* Wed Mar 07 2012 fwang <fwang> 3.3.90-4.mga2
+ Revision: 220702
- rebuild for new cogl

  + colin <colin>
    - Fix an error related to the bluetooth applet display

* Tue Feb 28 2012 ovitters <ovitters> 3.3.90-2.mga2
+ Revision: 215829
- add upstream patch to fix memory leak

* Thu Feb 23 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212618
- update file list
- update buildrequires
- new version
- drop linking patch

* Wed Feb 22 2012 wally <wally> 3.3.5-2.mga2
+ Revision: 212402
- rebuild for new cogl

* Wed Feb 08 2012 ovitters <ovitters> 3.3.5-1.mga2
+ Revision: 206483
- update file list
- add upstream patch to fix linking
- update gi scanner patch
- new version

* Sat Jan 21 2012 fwang <fwang> 3.3.4-1.mga2
+ Revision: 199061
- add file list
- drop old patches
- new version 3.3.4

* Tue Jan 17 2012 ovitters <ovitters> 3.3.3-3.mga2
+ Revision: 197650
- add patch to prevent epiphany from respawning (bgo#667881)

* Tue Jan 17 2012 fwang <fwang> 3.3.3-2.mga2
+ Revision: 197343
- rebuild for new cogl

* Wed Jan 04 2012 ovitters <ovitters> 3.3.3-1.mga2
+ Revision: 190761
- new version 3.3.3
- drop extension patches (upstream)
- fix br

* Wed Dec 21 2011 fwang <fwang> 3.3.2-3.mga2
+ Revision: 185310
- br gettext
- drop xulrunner req

* Thu Dec 01 2011 ovitters <ovitters> 3.3.2-2.mga2
+ Revision: 175000
- add patches from git for extensions.gnome.org

* Wed Nov 23 2011 wally <wally> 3.3.2-1.mga2
+ Revision: 171494
- drop obsoleted gconf schemas parts
- create a subpackage for docs
- add BR gtk-doc

  + fwang <fwang>
    - new version 3.3.2

* Fri Nov 11 2011 fwang <fwang> 3.2.1-4.mga2
+ Revision: 166474
- rebuild for new xulrunner

* Sat Oct 29 2011 fwang <fwang> 3.2.1-3.mga2
+ Revision: 159502
- rebuild for new evo

* Tue Oct 18 2011 wally <wally> 3.2.1-2.mga2
+ Revision: 156384
- rebuild for new folks

* Tue Oct 18 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 156071
- bump br
- new version 3.2.1

* Fri Sep 30 2011 fwang <fwang> 3.2.0-3.mga2
+ Revision: 150452
- rebuild for new xulrunner

* Tue Sep 27 2011 fwang <fwang> 3.2.0-2.mga2
+ Revision: 149258
- rebuild  for new xulrunner

* Mon Sep 26 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149025
- new version 3.2.0

* Wed Sep 21 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 146215
- bump gjs req
- new version 3.1.92

* Mon Sep 19 2011 wally <wally> 3.1.91.1-2.mga2
+ Revision: 145695
- rebuild for new cogl

* Thu Sep 15 2011 fwang <fwang> 3.1.91.1-1.mga2
+ Revision: 143719
- update file list
- new version 3.1.91.1

  + wally <wally>
    - require telepathy-mission-control

* Wed Sep 07 2011 wally <wally> 3.1.91-1.mga2
+ Revision: 140827
- new version 3.1.91

* Mon Sep 05 2011 fwang <fwang> 3.1.90.1-2.mga2
+ Revision: 138607
- rebuild for new xulrunner

* Wed Aug 31 2011 pterjan <pterjan> 3.1.90.1-1.mga2
+ Revision: 137368
- Update to 3.1.90.1 and drop all the patches from git

* Wed Aug 31 2011 colin <colin> 3.1.90-4.mga2
+ Revision: 137017
- More stability fixes from upstream.

* Wed Aug 31 2011 fwang <fwang> 3.1.90-3.mga2
+ Revision: 136995
- rebuild for new xulrunner

* Wed Aug 31 2011 colin <colin> 3.1.90-2.mga2
+ Revision: 136844
- Fix upstream crash relating to GDM

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136367
- do not promote strict flags for gi
- new version 3.1.90
- could not find any reason requiring python stuff now
- rebuild for new xulrunner
- export gnome-bluetooth libdir
- br gnome-common
- fix bluetooth-applet libdir
- rebuild for new cogl

  + dmorgan <dmorgan>
    - Rebuild against new xulrunner
    - Redmove LD_LIBRARY_PATH, should not be needed with latest xulrunner

  + colin <colin>
    - Move filthy hack to gnome-bluetooth + build verbosely
    - Hacky fix to build bluetooth support
    - Build Bluetooth support

  + wally <wally>
    - new version 3.1.4
    - clean .spec a bit

* Wed Jul 13 2011 fwang <fwang> 3.1.3-4.mga2
+ Revision: 123537
- rebuild for new xulrunner

* Thu Jul 07 2011 dmorgan <dmorgan> 3.1.3-3.mga2
+ Revision: 119819
- Rebuild against new rpm-setup
- Fix packagekit requires
- Fix requires
- Fix requires

* Tue Jul 05 2011 dmorgan <dmorgan> 3.1.3-2.mga2
+ Revision: 118921
- Add packagekit-gtk-module as Requires ( thanks to gil)

* Tue Jul 05 2011 dmorgan <dmorgan> 3.1.3-1.mga2
+ Revision: 118786
- New version 3.1.3

* Sat Jun 25 2011 dmorgan <dmorgan> 3.0.2-10.mga2
+ Revision: 113337
- Fix typo in xulrunner version

* Fri Jun 24 2011 dmorgan <dmorgan> 3.0.2-9.mga2
+ Revision: 113274
- Obsolete dead package

* Fri Jun 24 2011 mikala <mikala> 3.0.2-8.mga2
+ Revision: 113184
- Add a requires on %%{_lib}xulrunner (gnome-shell is using libmozjs.so)

* Wed Jun 22 2011 mikala <mikala> 3.0.2-7.mga2
+ Revision: 111781
- Rebuild for new xulrunner

* Mon Jun 20 2011 dmorgan <dmorgan> 3.0.2-6.mga2
+ Revision: 110116
- Rebuild because it failed only in one arch
- Add back P1, seems to work ( validated by mikala )

* Sun Jun 19 2011 dmorgan <dmorgan> 3.0.2-4.mga2
+ Revision: 109667
- Fix requires

* Sun Jun 19 2011 dmorgan <dmorgan> 3.0.2-3.mga2
+ Revision: 109548
- Add requires ( opensuse )
- Add more Requires ( synced with opensuse )
  Remove test patch that doesn't fix the crash ( tested by mikala )?\194?\178
- Add patch to try to fix gs crash ( check some pointers)

* Wed Jun 15 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 106337
- We do not need a preview session anymore now that gnome3 works OK in normal mode

* Wed Jun 08 2011 dmorgan <dmorgan> 3.0.2-1.mga2
+ Revision: 101790
- This is not a Preview anymore
- Merge with mdv cooker package

  + tv <tv>
    - rebuild for new gir
    - imported package gnome-shell


* Fri Aug 06 2010 Funda Wang <fwang@mandriva.org> 2.29.1-8mdv2011.0
+ Revision: 566698
- drop BR on gir-repository

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 2.29.1-7mdv2011.0
+ Revision: 561839
- rebuild

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-6mdv2010.1
+ Revision: 549373
- rebuild with latest xulrunner

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 2.29.1-5mdv2010.1
+ Revision: 531046
- rebuild for new xulrunner

* Fri Apr 02 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-4mdv2010.1
+ Revision: 530777
- Remove old suggests, not needed anymore

* Wed Mar 31 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.1-3mdv2010.1
+ Revision: 530413
- requires gnome-session for session management (and integration in display manager)

* Wed Mar 24 2010 Götz Waschk <waschk@mandriva.org> 2.29.1-2mdv2010.1
+ Revision: 527081
- rebuild for new xulrunner

* Tue Mar 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 526922
- new version
- drop patches 1,2

* Sat Mar 20 2010 Götz Waschk <waschk@mandriva.org> 2.29.0-3mdv2010.1
+ Revision: 525522
- fix build with new gjs (bug #58274)
- replace patch 1 by upstream version

  + Frederic Crozat <fcrozat@mandriva.com>
    - ensure there is no post by default

* Wed Mar 17 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.0-2mdv2010.1
+ Revision: 524312
- Source1: add support to select GNOME-Shell in display managers, as GNOME 3 Preview (idea from SUSE)

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.29.0-1mdv2010.1
+ Revision: 510279
- new version
- fix build
- fix setting of the LD_LIBRARY_PATH for xulrunner

* Tue Feb 16 2010 Götz Waschk <waschk@mandriva.org> 2.28.0-4mdv2010.1
+ Revision: 506609
- disable Werror to make it build

* Wed Feb 03 2010 Thierry Vignaud <tv@mandriva.org> 2.28.0-3mdv2010.1
+ Revision: 499977
- requires glxinfo instead of mesa-demos

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.28.0-2mdv2010.1
+ Revision: 490657
- rebuild for new libgnome-desktop

* Thu Oct 08 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 456027
- new version
- update deps

* Wed Sep 16 2009 Götz Waschk <waschk@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 443455
- new version

* Sat Sep 05 2009 Götz Waschk <waschk@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 432058
- new version

* Sat Aug 29 2009 Götz Waschk <waschk@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 422175
- new version
- update deps
- add translations

* Mon Aug 17 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-4mdv2010.0
+ Revision: 417151
- add missing dep on glxinfo

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-3mdv2010.0
+ Revision: 415271
- remove devel deps again

* Wed Aug 12 2009 Michael Scherer <misc@mandriva.org> 2.27.0-2mdv2010.0
+ Revision: 415259
- add missing requires and suggest

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
+ Revision: 414732
- import gnome-shell


* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
- initial package
